package com.hw.dms.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 检修计划明细对象 dms_plan_repair_detail
 *
 * @author Open Platform
 * @date 2024-01-15
 */
public class DmsPlanRepairDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long planRepairDetailId;

    /** 计划ID，关联dms_plan_repair的plan_maint_id */
    @Excel(name = "计划ID，关联dms_plan_repair的plan_maint_id")
    private Long planRepairId;

    /** 检修计划明细ID,根据检修计划明细类型关联对应表的主键 */
    @Excel(name = "检修计划明细ID,根据检修计划明细类型关联对应表的主键")
    private Long repairDetailTargetId;

    /** 检修计划明细类型(1设备，2设备类型) */
    @Excel(name = "检修计划明细类型(1设备，2设备类型)")
    private String repairDetailTargetType;

    /** 故障类别（1、设备损坏） */
    @Excel(name = "故障类别", readConverterExp = "1=、设备损坏")
    private String faultType;

    /** 检修说明 */
    @Excel(name = "检修说明")
    private String repairDesc;

    /** 检修标准 */
    @Excel(name = "检修标准")
    private String repairProtocol;

    /** 操作描述 */
    @Excel(name = "操作描述")
    private String operationDescription;

    private String deviceName;

    private String planRepairCode;

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getPlanRepairCode() {
        return planRepairCode;
    }

    public void setPlanRepairCode(String planRepairCode) {
        this.planRepairCode = planRepairCode;
    }

    public Long getRepairDetailTargetId() {
        return repairDetailTargetId;
    }

    public void setRepairDetailTargetId(Long repairDetailTargetId) {
        this.repairDetailTargetId = repairDetailTargetId;
    }

    public String getRepairDetailTargetType() {
        return repairDetailTargetType;
    }

    public void setRepairDetailTargetType(String repairDetailTargetType) {
        this.repairDetailTargetType = repairDetailTargetType;
    }

    public void setPlanRepairDetailId(Long planRepairDetailId)
    {
        this.planRepairDetailId = planRepairDetailId;
    }

    public Long getPlanRepairDetailId()
    {
        return planRepairDetailId;
    }
    public void setPlanRepairId(Long planRepairId)
    {
        this.planRepairId = planRepairId;
    }

    public Long getPlanRepairId()
    {
        return planRepairId;
    }

    public void setFaultType(String faultType)
    {
        this.faultType = faultType;
    }

    public String getFaultType()
    {
        return faultType;
    }
    public void setRepairDesc(String repairDesc)
    {
        this.repairDesc = repairDesc;
    }

    public String getRepairDesc()
    {
        return repairDesc;
    }
    public void setRepairProtocol(String repairProtocol)
    {
        this.repairProtocol = repairProtocol;
    }

    public String getRepairProtocol()
    {
        return repairProtocol;
    }
    public void setOperationDescription(String operationDescription)
    {
        this.operationDescription = operationDescription;
    }

    public String getOperationDescription()
    {
        return operationDescription;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("planRepairDetailId", getPlanRepairDetailId())
            .append("planRepairId", getPlanRepairId())
            .append("faultType", getFaultType())
            .append("repairDesc", getRepairDesc())
            .append("repairProtocol", getRepairProtocol())
            .append("operationDescription", getOperationDescription())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
